package com.pcloud.book.group.dto;

import com.pcloud.common.dto.BaseDto;

/**
 * @描述：社群码下关键词关联的资源
 * @作者：zhuyajie
 * @创建时间：11:01 2019/9/30
 * @版本：1.0
 */
public class BookGroupKeywordResourceDTO extends BaseDto {

    /**
     * 类型（PRODUCT、APP）
     */
    private String serveType;
    /**
     * 商品或应用id
     */
    private Long serveId;

    private String serveUrl;

    public String getServeType() {
        return serveType;
    }

    public void setServeType(String serveType) {
        this.serveType = serveType;
    }

    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public String getServeUrl() {
        return serveUrl;
    }

    public void setServeUrl(String serveUrl) {
        this.serveUrl = serveUrl;
    }

    @Override
    public String toString() {
        return "BookGroupKeywordResourceDTO{" +
                "serveType='" + serveType + '\'' +
                ", serveId=" + serveId +
                '}';
    }
}
